com.mapinfo.midev.util

## Class OrderByDirection

- java.lang.Object
- - java.lang.Enum
  - - com.mapinfo.midev.util.OrderByDirection

All Implemented Interfaces:
  Serializable, Comparable

    public final class OrderByDirection
    extends Enum

Enumeration of ORDER BY directions.

See Also:
  Serialized Form

### Field Summary

Fields
`static OrderByDirection` `ASCENDING` Sort the results in ascending order.
`static OrderByDirection` `DESCENDING` Sort the results in descending order.

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`String` `toString()`
`static OrderByDirection` `valueOf(String name)`
`static OrderByDirection[]` `values()`

### Methods inherited from class java.lang.Enum

`compareTo, equals, getDeclaringClass, hashCode, name, ordinal, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Field Detail

#### ASCENDING

    public static final OrderByDirection ASCENDING

Sort the results in ascending order.

#### DESCENDING

    public static final OrderByDirection DESCENDING

Sort the results in descending order.

### Method Detail

#### values

    public static OrderByDirection[] values()

#### valueOf

    public static OrderByDirection valueOf(String name)

#### toString

    public String toString()

Overrides:
  `toString` in class `Enum`